mtn_momo 1.0.1
mtn_momo: ^1.0.1 copied to clipboard

MTN MoMo SDK API client

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  mtn_momo: ^1.0.1

2. Install it

You can install packages from the command line:

with pub:

$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:mtn_momo/api.dart';
import 'package:mtn_momo/api/momo_api.dart';
import 'package:mtn_momo/api_client.dart';
import 'package:mtn_momo/api_exception.dart';
import 'package:mtn_momo/api_helper.dart';
import 'package:mtn_momo/auth/api_key_auth.dart';
import 'package:mtn_momo/auth/authentication.dart';
import 'package:mtn_momo/auth/http_basic_auth.dart';
import 'package:mtn_momo/auth/oauth.dart';
import 'package:mtn_momo/model/access_token_exception.dart';
import 'package:mtn_momo/model/api_user_key_result.dart';
import 'package:mtn_momo/model/api_user_result.dart';
import 'package:mtn_momo/model/balance.dart';
import 'package:mtn_momo/model/boolean_result.dart';
import 'package:mtn_momo/model/error_reason.dart';
import 'package:mtn_momo/model/momo_access_token.dart';
import 'package:mtn_momo/model/momo_user.dart';
import 'package:mtn_momo/model/party.dart';
import 'package:mtn_momo/model/payment_server_url.dart';
import 'package:mtn_momo/model/pre_approval.dart';
import 'package:mtn_momo/model/pre_approval_result.dart';
import 'package:mtn_momo/model/request_to_pay.dart';
import 'package:mtn_momo/model/request_to_pay_result.dart';
import 'package:mtn_momo/model/target_environment.dart';
import 'package:mtn_momo/model/transfer.dart';
import 'package:mtn_momo/model/transfer_result.dart';
0
likes
50
pub points
33%
popularity

MTN MoMo SDK API client

Homepage

Documentation

API reference

Uploader

mabalekasihle@gmail.com

License

GPL 3.0 (LICENSE)

Dependencies

http

More

Packages that depend on mtn_momo